PUT /work-requests/{work_request_id}/form-fields/{form_field_identifier}
1 min
PUT
https://api.cmp.optimizely.com/v3/work-requests/{work_request_id}/form-fields/{form_field_identifier}
work_request_idstringUnique identifier of the work request
form_field_identifierstringUnique identifier of the work request form field
acceptstringGenerated from available response content types
bodyobjectPayload to update the work request form field
200Updated work request form field
400Client error
401Authorization error
403Permission error
404Not found error
422Unprocessable entity error
curl --request PUT \
--url https://api.cmp.optimizely.com/v3/work-requests/{work_request_id}/form-fields/{form_field_identifier} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"type": "brief",
"values": [
{
"type": "attachment_brief",
"value": {
"key": "6dzf4ds4fds4f4564dzsfd",
"name": "Sample-name"
}
}
]
}'